package com.xunwang.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author Long
 * @since 2023-03-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MpInnerMsg对象", description="")
public class MpInnerMsg implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "小程序uid")
    private String uid;

    @ApiModelProperty(value = "通知标题")
    private String msgTitle;

    @ApiModelProperty(value = "通知内容")
    private String msgContent;

    @ApiModelProperty(value = "不填，自动日期时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    private String datetime;

    @ApiModelProperty(value = "'已读' '未读'")
    private String status;

    @TableField(exist = false)
    @ApiModelProperty("方位")
    private String position;
}
