package com.xunwang.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Author: Yl
 * @Date: 2023/1/3 10:24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MySuggestion对象", description="")
@TableName(value = "advise")
public class MySuggestion implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty(value = "建议者的id")
    private String fromUid;

    @ApiModelProperty(value = "处理人id")
    private String processorUid;

    @ApiModelProperty(value = "建议标题")
    private String adviseTitle;

    @ApiModelProperty(value = "建议内容")
    private String adviseDetail;

    @ApiModelProperty(value = "发送时间")
    private String fistDatetime;

    @ApiModelProperty(value = "处理结果描述")
    private String result;

    @ApiModelProperty(value = "结案日期")
    private String closetime;

    @ApiModelProperty(value = "处理状态")
    private String status;

    @ApiModelProperty(value = "处理人名字")
    @TableField(exist = false)
    private String name;

}
