package com.xunwang.education.entity.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 老师课程发布
 * </p>
 *
 * @author Long
 * @since 2022-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MyPublishTeacherCoursesDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "无序唯一id")
    @TableId(value = "course_id")
    private String courseId;

    @ApiModelProperty(value = "辅导学科，最多选4科")
    private String subject;

    @ApiModelProperty(value = "审核状态，0=wait ,1=pass ,2=refuse")
    private String verifyStatus;

    @ApiModelProperty(value = "是否显示")
    private String display;

    @ApiModelProperty(value = "是否锁定")
    private String locked;

    @ApiModelProperty(value = "已成交,未成交")
    private String deal;
}
