package com.xunwang.education.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xunwang.education.entity.TeacherCourses;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author Guan
 * @date 2023/1/4
 * discription
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FavoriteCourseVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "无序唯一id")
    private String uid;

    @ApiModelProperty(value = "无序唯一id")
    private String courseId;

    @ApiModelProperty(value = "课程对象")
    private TeacherCourses teacherCourses;
    @ApiModelProperty(value = "老师姓名")
    private String teacherName;
    @ApiModelProperty(value = "学历")
    private String education;
    @ApiModelProperty(value = "老师学校")
    private String school;
    @ApiModelProperty(value = "老师性别")
    private String sex;
    @ApiModelProperty(value = "老师身份")
    private String identify;


}
