package com.xunwang.education.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.HashMap;

/**
 * <p>
 * 老师课程发布Vo对象
 * </p>
 *
 * @author Long
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TeacherCourses对象", description="老师课程发布")
public class TeacherCoursesVo  implements Serializable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自我描述")
    private String introduce;

    @ApiModelProperty(value = "教龄")
    private String teachAge;

    @ApiModelProperty(value = "授课时间")
    private String teachTime;

    @ApiModelProperty(value = "辅导学科")
    private String subject;

    @ApiModelProperty(value = "位置")
    private String location;

    @ApiModelProperty(value = "纬经度")
    private String locationAl;

    @ApiModelProperty(value = "老师上门，学员上门，线上辅导")
    private String mode;

    @ApiModelProperty(value = "成功经验")
    private String experience;

    private String subjectBig;

}

