package com.xunwang.education.mapper;

import com.xunwang.education.entity.TeacherCertifications;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunwang.education.entity.dto.Schools;

import java.util.List;

/**
 * <p>
 * 老师认证 Mapper 接口
 * </p>
 *
 * @author Long
 * @since 2022-11-24
 */
public interface TeacherCertificationsMapper extends BaseMapper<TeacherCertifications> {

    /**
     * 根据用户id查询认证相关信息
     * @param uid
     * @return
     */
    TeacherCertifications getInfosByUid(String uid);

    List<TeacherCertifications> getTeacherDetail(String[] array);

    /**
     * 获取所有老师注册过的所有学校
     */
    List<String> getAllSchools();
}
