package com.xunwang.education.service;

import com.xunwang.education.entity.Strategy;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 攻略表 服务类
 * </p>
 *
 * @author Long
 * @since 2023-04-26
 */
public interface StrategyService extends IService<Strategy> {

    /**
     * 获取攻略子图
     *
     * @return
     */
    List<String> getSmallPig();

    /**
     * 获取攻略图大图
     * @return
     */
    List<String> getBigPig();
}
