package com.xunwang.ucenter.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TeacherList implements Serializable {

    private static final long serialVersionUID = 1L;

    private String uid;
    private String name;
    private String teacherType;
    private String datetime;
    private String introduce;
    private String experience;
    private String teachAge;
    private String subject;
    private String profilePhoto;
    private String school;
    private String education;
    private String sex;
    private String courseId;
    private int viewedCount;
    private String location;
    private String locationAl;
    private String mode;
    private String teachTime;
    private String verifyStatus;
    private String verifyRefuseReason;

    @ApiModelProperty("成交总数")
    private String count;
    @ApiModelProperty("最近成交")
    private String latest;
}
