package com.xunwang.education.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author Long
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CoursePrice对象", description="课程价格")
public class CoursePrice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "课号")
    private String cNum;

    @ApiModelProperty(value = "课名")
    private String cName;

    @ApiModelProperty(value = "课程大类号")
    private String parentId;

    @ApiModelProperty(value = "课程小类序号")
    private Integer orderNum;

    @ApiModelProperty(value = "是否可见，0=是，1=否")
    private String visible;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "1级城市学生课费下限")
    private BigDecimal stuPrice1L;

    @ApiModelProperty(value = "1级城市学生课费上限")
    private BigDecimal stuPrice1H;

    @ApiModelProperty(value = "1级城市全职课费下限")
    private BigDecimal fulltimePrice1L;

    @ApiModelProperty(value = "1级城市全职课费上限")
    private BigDecimal fulltimePrice1H;

    @ApiModelProperty(value = "2级城市学生课费下限")
    private BigDecimal stuPrice2L;

    @ApiModelProperty(value = "2级城市学生课费上限")
    private BigDecimal stuPrice2H;

    @ApiModelProperty(value = "2级城市全职课费下限")
    private BigDecimal fulltimePrice2L;

    @ApiModelProperty(value = "2级城市全职课费上限")
    private BigDecimal fulltimePrice2H;


}
