package com.xunwang.education.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * </p>
 *
 * @author Guan
 * @since 2023-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MyInviteInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "订单号")
    private String id;

    @ApiModelProperty(value = "被邀请人")
    private String toUname;

    @ApiModelProperty(value = "邀请人")
    private String fromUname;

    @ApiModelProperty(value = "邀请内容")
    private String requireDetail;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "邀请日期时间")
    private Date datetime;

    @ApiModelProperty(value = "邀请人身份，'教员' '学员'")
    private String identity;

    @ApiModelProperty(value = "被邀请人操作状态，'未读' '待定' '同意' '拒绝'")
    private String operateStatus;
}

