package com.xunwang.education.entity.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 老师课程发布
 * </p>
 *
 * @author Long
 * @since 2022-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MyTeacherCoursesDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "无序唯一id")
    @TableId(value = "course_id")
    private String courseId;

    private String name;

    private String sex;

    private String school;

    private String education;

    private String profilePhoto;

    @ApiModelProperty(value = "教龄")
    private String teachAge;

    @ApiModelProperty(value = "辅导学科，最多选4科")
    private String subject;

    @ApiModelProperty(value = "纬经度")
    private String locationAl;

    @ApiModelProperty(value = "成功经验")
    private String experience;

}
