package com.xunwang.education.feign;

import com.xunwang.servicebase.utils.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @Author: Yl
 * @Date: 2023/1/4 14:42
 */
@FeignClient(name = "SERVICE-UCENTER")
public interface UserFeign {

    @RequestMapping("/ucenter/mini-program-openid-uid/getUserName")
    R getUserName(@RequestBody String uid);

    @PostMapping("/ucenter/mini-program-openid-uid/getUnionIdByUid")
    String getUnionIdByUid(@RequestBody String uid);

    @PostMapping("/ucenter/mini-program-openid-uid/getPhoneByUid")
    String getPhoneByUid(@RequestBody String uid);

}
