package com.xunwang.education.mapper;

import com.xunwang.education.entity.InviteInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunwang.education.entity.dto.MyInviteInfoDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Guan
 * @since 2023-01-03
 */
public interface InviteInfoMapper extends BaseMapper<InviteInfo> {

    // 查询的邀请信息list
    List<MyInviteInfoDto> sendMyInviteInfoList(@Param("uid") String uid, @Param("status") String status);

    List<MyInviteInfoDto> receiveMyInviteInfoList(@Param("uid") String uid, @Param("status") String status);

    String isAttention(String unionid);
}
