package com.xunwang.payment.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Guan
 * @date 2023/4/16
 * discription
 */
@Data
@TableName(value = "send_to_sa_msg")
public class SendToSaMsg implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String openid;
    private String unionid;
    private String templateType;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private String createTime;
    private String sendStatus;

}
