package com.xunwang.payment.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MyOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "含日期时间唯一id")
    private String orderId;

    @ApiModelProperty(value = "商品描述")
    private String requireDetail;

    @ApiModelProperty(value = "下单日期时间")
    private String datetime;

    private String studentName;

    @ApiModelProperty(value = "订单状态：'待支付' '已支付' ' 已取消' ' 已退款' ' 退款中'")
    private String status;

}
