package com.xunwang.payment.feign;

import com.xunwang.servicebase.utils.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "SERVICE-UCENTER")
public interface UserFeign {

    @PostMapping("ucenter/mini-program-openid-uid/getOpenIdByUid")
    R getOpenIdByUid(@RequestBody String uid);

    @PostMapping("ucenter/mini-program-openid-uid/getRecommendUidByUid")
    R getRecommendUidByUid(@RequestBody String uid);
}
